using System;
namespace prvizadatak
{
    class Program
    {       
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int a = int.Parse(s[0]);
            int b = int.Parse(s[1]);
            int[] p = new int[a];
            int poz = -1;
            string[] s1 = Console.ReadLine().Split();
            for (int i = 0; i < a; i++)
                p[i] = int.Parse(s1[i]);
            for(int i = 0; i < a; i++)
                if (p[i] == b) poz = i;
            if (poz == a - 1) Console.WriteLine(p[0]);
            else Console.WriteLine(p[poz+1]);
        }
    }
}